// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_kickoff/ko_sky4
{
	qer_editorimage env/ut4_kickoff/purplenebula_bk.tga
	skyparms env/ut4_kickoff/purplenebula 512 -	
	
	q3map_sunEXT 0.8 1.0 0.8 60 360 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 150 3
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
}

// ---=== Holopanels ===---

textures/ut4_kickoff/ko_hologo_b
{
	qer_editorimage textures/ut4_kickoff/fsk_holosign1/fsk_holosign_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 1.25 textures/ut4_kickoff/fsk_holosign1/fsk_holosign_b1.jpg textures/ut4_kickoff/fsk_holosign1/fsk_holosign_b1.jpg	textures/ut4_kickoff/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_kickoff/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_kickoff/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_kickoff/fsk_holosign1/fsk_holosign_b3.jpg textures/ut4_kickoff/fsk_holosign1/fsk_holosign_b7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_kickoff/ko_hologo_r
{
	qer_editorimage textures/ut4_kickoff/fsk_holosign1/fsk_holosign_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 1.25 textures/ut4_kickoff/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_kickoff/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_kickoff/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_kickoff/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_kickoff/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_kickoff/fsk_holosign1/fsk_holosign_r3.jpg textures/ut4_kickoff/fsk_holosign1/fsk_holosign_r7.jpg
		blendFunc GL_ONE GL_ONE
	}
}
// ---=== LadderClip ===---

textures/ut4_kickoff/ko_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Glass Slick, NoDam ===---

textures/ut4_kickoff/ko_glass_slip
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	surfaceparm nodamage
	surfaceparm slick
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_kickoff/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}	
}

textures/ut4_kickoff/ko_glassblk04_b
{
	qer_editorimage textures/ut4_kickoff/pr_glassblock04b.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kickoff/pr_glassblock04b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kickoff/pr_glassblock04b.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kickoff/ko_glassblk04_r
{
	qer_editorimage textures/ut4_kickoff/pr_glassblock04r.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kickoff/pr_glassblock04r.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kickoff/pr_glassblock04r.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kickoff/ko_teleborb
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 1000
	qer_editorimage textures/ut4_kickoff/soc_blue_telep.jpg
	qer_trans 0.4

	cull none

	{
		map textures/ut4_kickoff/soc_blue_telep.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_kickoff/ko_telerorb
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 1000
	qer_editorimage textures/ut4_kickoff/soc_red_telep.jpg
	qer_trans 0.4

	cull none

	{
		map textures/ut4_kickoff/soc_red_telep.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== No Damage Materials ===---

textures/ut4_kickoff/pr_metal079:q3map
{
	surfaceparm nodamage
}

textures/ut4_kickoff/pr_metal079_gradb:q3map
{
	surfaceparm nodamage
}

textures/ut4_kickoff/pr_metal079_gradr:q3map
{
	surfaceparm nodamage
}

// ---=== Animated Levelshot ===---

levelshots/ut4_kickoff_b1
{
	nopicmip
	{
		animmap 1 levelshots/ut4_kickoff/kickoff1.tga levelshots/ut4_kickoff/kickoff5.tga levelshots/ut4_kickoff/kickoff6.tga levelshots/ut4_kickoff/kickoff3.tga levelshots/ut4_kickoff/kickoff2.tga levelshots/ut4_kickoff/kickoff4.tga
	}
	{
		map levelshots/ut4_kickoff/ut4_kickoff_fore.tga
		blendfunc gl_one gl_src_alpha
		depthfunc equal
	}
}